no.sesat.search.mode.command
Class PicSearchCommand

java.lang.Object
  extended by no.sesat.search.mode.command.AbstractSearchCommand
      extended by no.sesat.search.mode.command.AbstractXmlSearchCommand
          extended by no.sesat.search.mode.command.PicSearchCommand
All Implemented Interfaces:
Serializable, Callable<ResultList<ResultItem>>, SearchCommand

public class PicSearchCommand
extends AbstractXmlSearchCommand

Version:
$Id: PicSearchCommand.java 7225 2009-04-09 00:32:20Z ssmiweve $
See Also:
PictureCommandConfig, Serialized Form

Nested Class Summary
 
Nested classes/interfaces inherited from class no.sesat.search.mode.command.AbstractSearchCommand
AbstractSearchCommand.QueryBuilderFactory, AbstractSearchCommand.ReconstructedQuery
 
Nested classes/interfaces inherited from interface no.sesat.search.mode.command.SearchCommand
SearchCommand.Context
 
Field Summary
 
Fields inherited from class no.sesat.search.mode.command.AbstractSearchCommand
completed, context, datamodel, datamodelParameters, DUMP, untransformedQuery
 
Constructor Summary
PicSearchCommand(SearchCommand.Context cxt)
          Creates a new command in given context.
 
Method Summary
protected  ResultItem createItem(Element picture)
          Each individual result is usually defined within one given Element.
 ResultList<ResultItem> execute()
           
protected  FilterBuilder getFilterBuilder()
           
protected  int getOffset()
          Returns the offset applicable to this command.
protected  String getParameter(String key)
          Returns parameter value.
protected  void visitXorClause(no.sesat.commons.visitor.Visitor visitor, XorClause clause)
          Visits full names as separate words rather than as an entity.
 
Methods inherited from class no.sesat.search.mode.command.AbstractXmlSearchCommand
createRequestURL, getXmlRestful, setXmlRestful
 
Methods inherited from class no.sesat.search.mode.command.AbstractSearchCommand
addFilterString, call, constructQueryBuilder, createQuery, createQuery, escape, getCurrentOffset, getEngine, getFieldFilter, getFilter, getQuery, getQueryBuilder, getQueryRepresentation, getReservedWords, getResultsToReturn, getSearchConfiguration, getSearchResult, getSingleParameter, getTransformedQuery, getTransformedQuerySesamSyntax, getTransformedTerms, getUserSortBy, handleCancellation, initialiseTransformedTerms, isCancelled, isPaginated, isUserSortable, performExecution, performQueryTransformation, performResultHandling, setTransformedQuerySesamSyntax, statisticsInfo, toString, updateTransformedQuerySesamSyntax
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait
 

Constructor Detail

PicSearchCommand

public PicSearchCommand(SearchCommand.Context cxt)
Creates a new command in given context.

Parameters:
cxt - Context to run in.
Method Detail

execute

public ResultList<ResultItem> execute()
Specified by:
execute in class AbstractSearchCommand

visitXorClause

protected void visitXorClause(no.sesat.commons.visitor.Visitor visitor,
                              XorClause clause)
Visits full names as separate words rather than as an entity.

Overrides:
visitXorClause in class AbstractSearchCommand
Parameters:
visitor - The visitor.
clause - the xor clause to examine.

createItem

protected ResultItem createItem(Element picture)
Description copied from class: AbstractXmlSearchCommand
Each individual result is usually defined within one given Element.

Specified by:
createItem in class AbstractXmlSearchCommand
Parameters:
picture - the w3c element
Returns:
the ResultItem

getParameter

protected String getParameter(String key)
Description copied from class: AbstractSearchCommand
Returns parameter value. Changed since 2.16.1 so that only request parameters are searched.

Overrides:
getParameter in class AbstractSearchCommand
Parameters:
key - the name of the parameter to look for.
Returns:
the parameter value, unescaped, or null if parameter does not exist.

getFilterBuilder

protected FilterBuilder getFilterBuilder()
Overrides:
getFilterBuilder in class AbstractSearchCommand

getOffset

protected int getOffset()
Description copied from class: AbstractSearchCommand
Returns the offset applicable to this command. Zero if the command has no "offset" navigator configured, the value of the offset parameter otherwise.

Overrides:
getOffset in class AbstractSearchCommand
Returns:
the offset.


Copyright © 2005-2009 Schibsted ASA. All Rights Reserved.